NewProxyConnection (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class NewProxyConnection

- java.lang.Object
- - com.mchange.v2.c3p0.impl.NewProxyConnection

- All Implemented Interfaces:
    C3P0ProxyConnection, java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

      public final class NewProxyConnection
      extends java.lang.Object
      implements java.sql.Connection, C3P0ProxyConnection

  This class was generated by com.mchange.v2.c3p0.codegen.JdbcProxyGenerator$NewProxyConnectionGenerator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `inner`

    - ### Fields inherited from interface com.mchange.v2.c3p0.C3P0ProxyConnection

      `RAW_CONNECTION`

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort(java.util.concurrent.Executor a)`
    `void` | `clearWarnings()`
    `void` | `close()`
    `void` | `commit()`
    `java.sql.Array` | `createArrayOf(java.lang.String a, java.lang.Object[] b)`
    `java.sql.Blob` | `createBlob()`
    `java.sql.Clob` | `createClob()`
    `java.sql.NClob` | `createNClob()`
    `java.sql.SQLXML` | `createSQLXML()`
    `java.sql.Statement` | `createStatement()`
    `java.sql.Statement` | `createStatement(int a, int b)`
    `java.sql.Statement` | `createStatement(int a, int b, int c)`
    `java.sql.Struct` | `createStruct(java.lang.String a, java.lang.Object[] b)`
    `boolean` | `getAutoCommit()`
    `java.lang.String` | `getCatalog()`
    `java.util.Properties` | `getClientInfo()`
    `java.lang.String` | `getClientInfo(java.lang.String a)`
    `int` | `getHoldability()`
    `java.sql.DatabaseMetaData` | `getMetaData()`
    `int` | `getNetworkTimeout()`
    `java.lang.String` | `getSchema()`
    `int` | `getTransactionIsolation()`
    `java.util.Map` | `getTypeMap()`
    `java.sql.SQLWarning` | `getWarnings()`
    `boolean` | `isClosed()`
    `boolean` | `isReadOnly()`
    `boolean` | `isValid(int a)`
    `boolean` | `isWrapperFor(java.lang.Class a)`
    `java.lang.String` | `nativeSQL(java.lang.String a)`
    `java.sql.CallableStatement` | `prepareCall(java.lang.String a)`
    `java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c)`
    `java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c, int d)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String a)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int[] b)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b, int c)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b, int c, int d)`
    `java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, java.lang.String[] b)`
    `java.lang.Object` | `rawConnectionOperation(java.lang.reflect.Method m, java.lang.Object target, java.lang.Object[] args)` Allows one to work with the unproxied, raw Connection.
    `void` | `releaseSavepoint(java.sql.Savepoint a)`
    `void` | `rollback()`
    `void` | `rollback(java.sql.Savepoint a)`
    `void` | `setAutoCommit(boolean a)`
    `void` | `setCatalog(java.lang.String a)`
    `void` | `setClientInfo(java.util.Properties a)`
    `void` | `setClientInfo(java.lang.String a, java.lang.String b)`
    `void` | `setHoldability(int a)`
    `void` | `setNetworkTimeout(java.util.concurrent.Executor a, int b)`
    `void` | `setReadOnly(boolean a)`
    `java.sql.Savepoint` | `setSavepoint()`
    `java.sql.Savepoint` | `setSavepoint(java.lang.String a)`
    `void` | `setSchema(java.lang.String a)`
    `void` | `setTransactionIsolation(int a)`
    `void` | `setTypeMap(java.util.Map a)`
    `java.lang.String` | `toString()`
    `java.lang.Object` | `unwrap(java.lang.Class a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### inner

          protected java.sql.Connection inner

  - ### Method Detail

    - #### setReadOnly

          public void setReadOnly(boolean a)
                           throws java.sql.SQLException

      Specified by:
        `setReadOnly` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### isReadOnly

          public boolean isReadOnly()
                             throws java.sql.SQLException

      Specified by:
        `isReadOnly` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStatement

          public java.sql.Statement createStatement(int a,
                                                    int b,
                                                    int c)
                                             throws java.sql.SQLException

      Specified by:
        `createStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStatement

          public java.sql.Statement createStatement()
                                             throws java.sql.SQLException

      Specified by:
        `createStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStatement

          public java.sql.Statement createStatement(int a,
                                                    int b)
                                             throws java.sql.SQLException

      Specified by:
        `createStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                             int b,
                                                             int c,
                                                             int d)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                             int b,
                                                             int c)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement(java.lang.String a)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                             int[] b)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                             int b)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                             java.lang.String[] b)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareCall

          public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                        int b,
                                                        int c)
                                                 throws java.sql.SQLException

      Specified by:
        `prepareCall` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareCall

          public java.sql.CallableStatement prepareCall(java.lang.String a)
                                                 throws java.sql.SQLException

      Specified by:
        `prepareCall` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareCall

          public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                        int b,
                                                        int c,
                                                        int d)
                                                 throws java.sql.SQLException

      Specified by:
        `prepareCall` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public java.sql.DatabaseMetaData getMetaData()
                                                throws java.sql.SQLException

      Specified by:
        `getMetaData` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setTransactionIsolation

          public void setTransactionIsolation(int a)
                                       throws java.sql.SQLException

      Specified by:
        `setTransactionIsolation` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setCatalog

          public void setCatalog(java.lang.String a)
                          throws java.sql.SQLException

      Specified by:
        `setCatalog` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setHoldability

          public void setHoldability(int a)
                              throws java.sql.SQLException

      Specified by:
        `setHoldability` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setTypeMap

          public void setTypeMap(java.util.Map a)
                          throws java.sql.SQLException

      Specified by:
        `setTypeMap` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

      Specified by:
        `getWarnings` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### clearWarnings

          public void clearWarnings()
                             throws java.sql.SQLException

      Specified by:
        `clearWarnings` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      Specified by:
        `isClosed` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### commit

          public void commit()
                      throws java.sql.SQLException

      Specified by:
        `commit` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### rollback

          public void rollback(java.sql.Savepoint a)
                        throws java.sql.SQLException

      Specified by:
        `rollback` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### rollback

          public void rollback()
                        throws java.sql.SQLException

      Specified by:
        `rollback` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setAutoCommit

          public void setAutoCommit(boolean a)
                             throws java.sql.SQLException

      Specified by:
        `setAutoCommit` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setClientInfo

          public void setClientInfo(java.lang.String a,
                                    java.lang.String b)
                             throws java.sql.SQLClientInfoException

      Specified by:
        `setClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLClientInfoException`

    - #### setClientInfo

          public void setClientInfo(java.util.Properties a)
                             throws java.sql.SQLClientInfoException

      Specified by:
        `setClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLClientInfoException`

    - #### abort

          public void abort(java.util.concurrent.Executor a)
                     throws java.sql.SQLException

      Specified by:
        `abort` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### isValid

          public boolean isValid(int a)
                          throws java.sql.SQLException

      Specified by:
        `isValid` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### nativeSQL

          public java.lang.String nativeSQL(java.lang.String a)
                                     throws java.sql.SQLException

      Specified by:
        `nativeSQL` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getAutoCommit

          public boolean getAutoCommit()
                                throws java.sql.SQLException

      Specified by:
        `getAutoCommit` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getCatalog

          public java.lang.String getCatalog()
                                      throws java.sql.SQLException

      Specified by:
        `getCatalog` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getTransactionIsolation

          public int getTransactionIsolation()
                                      throws java.sql.SQLException

      Specified by:
        `getTransactionIsolation` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getTypeMap

          public java.util.Map getTypeMap()
                                   throws java.sql.SQLException

      Specified by:
        `getTypeMap` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getHoldability

          public int getHoldability()
                             throws java.sql.SQLException

      Specified by:
        `getHoldability` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setSavepoint

          public java.sql.Savepoint setSavepoint(java.lang.String a)
                                          throws java.sql.SQLException

      Specified by:
        `setSavepoint` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setSavepoint

          public java.sql.Savepoint setSavepoint()
                                          throws java.sql.SQLException

      Specified by:
        `setSavepoint` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### releaseSavepoint

          public void releaseSavepoint(java.sql.Savepoint a)
                                throws java.sql.SQLException

      Specified by:
        `releaseSavepoint` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createClob

          public java.sql.Clob createClob()
                                   throws java.sql.SQLException

      Specified by:
        `createClob` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createBlob

          public java.sql.Blob createBlob()
                                   throws java.sql.SQLException

      Specified by:
        `createBlob` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createNClob

          public java.sql.NClob createNClob()
                                     throws java.sql.SQLException

      Specified by:
        `createNClob` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createSQLXML

          public java.sql.SQLXML createSQLXML()
                                       throws java.sql.SQLException

      Specified by:
        `createSQLXML` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getClientInfo

          public java.util.Properties getClientInfo()
                                             throws java.sql.SQLException

      Specified by:
        `getClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getClientInfo

          public java.lang.String getClientInfo(java.lang.String a)
                                         throws java.sql.SQLException

      Specified by:
        `getClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createArrayOf

          public java.sql.Array createArrayOf(java.lang.String a,
                                              java.lang.Object[] b)
                                       throws java.sql.SQLException

      Specified by:
        `createArrayOf` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStruct

          public java.sql.Struct createStruct(java.lang.String a,
                                              java.lang.Object[] b)
                                       throws java.sql.SQLException

      Specified by:
        `createStruct` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setSchema

          public void setSchema(java.lang.String a)
                         throws java.sql.SQLException

      Specified by:
        `setSchema` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getSchema

          public java.lang.String getSchema()
                                     throws java.sql.SQLException

      Specified by:
        `getSchema` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setNetworkTimeout

          public void setNetworkTimeout(java.util.concurrent.Executor a,
                                        int b)
                                 throws java.sql.SQLException

      Specified by:
        `setNetworkTimeout` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getNetworkTimeout

          public int getNetworkTimeout()
                                throws java.sql.SQLException

      Specified by:
        `getNetworkTimeout` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public java.lang.Object unwrap(java.lang.Class a)
                                  throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class a)
                               throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### rawConnectionOperation

          public java.lang.Object rawConnectionOperation(java.lang.reflect.Method m,
                                                         java.lang.Object target,
                                                         java.lang.Object[] args)
                                                  throws java.lang.IllegalAccessException,
                                                         java.lang.IllegalArgumentException,
                                                         java.lang.reflect.InvocationTargetException,
                                                         java.sql.SQLException

      Description copied from interface: `C3P0ProxyConnection`

      Allows one to work with the unproxied, raw Connection. Some database companies never got over the "common interfaces mean no more vendor lock-in!" thing, and offer non-standard API on their Connections. This method permits you to "pierce" the connection-pooling layer to call non-standard methods on the original Connection, or to pass the original Connections to functions that are not implementation neutral.

      To use this functionality, you'll need to cast a Connection retrieved from a c3p0 PooledDataSource to a C3P0ProxyConnection.

      This method works by making a reflective call of method `m` on Object `target` (which may be null for static methods), passing and argument list `args`. For the method target, or for any argument, you may substitute the special token `C3P0ProxyConnection.RAW_CONNECTION`

      Any Statements or ResultSets returned by the operation will be proxied and c3p0-managed, meaning that these resources will be automatically closed if the user does not close them first when this Connection is checked back into the pool. Any other resources returned by the operation are the user's responsibility to clean up!

      Incautious use of this method can corrupt the Connection pool, by breaking the invariant that all checked-in Connections should be equivalent. If your vendor supplies API that allows you to modify the state or configuration of a Connection in some nonstandard way, you might use this method to do so, and then check the Connection back into the pool. When you fetch another Connection from the PooledDataSource, it will be undefined whether the Connection returned will have your altered configuration, or the default configuration of a "fresh" Connection. Thus, it is inadvisable to use this method to call nonstandard mutators.

      Specified by:
        `rawConnectionOperation` in interface `C3P0ProxyConnection`
      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.IllegalArgumentException`
        `java.lang.reflect.InvocationTargetException`
        `java.sql.SQLException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`